> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ondo.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Metadata for All Supported Assets

> Returns all metadata for all symbols including identifiers, addresses, and classification tags.

For caching details on this endpoint, please see: [Endpoint Caching](https://docs.ondo.finance/api-reference/endpoint-caching).




## OpenAPI

````yaml /gm-be-api-spec.json get /v1/assets/all/metadata
openapi: 3.0.4
info:
  title: GM Backend API
  description: An API spec for the Ondo GM Backend API.
  version: 1.0.0
servers:
  - url: https://api.gm.ondo.finance
    description: GM Backend API
security: []
tags:
  - name: Attestations
    description: Get Mint and Redeem Attestations
  - name: Assets
    description: Get Asset Price Information
  - name: Tickers
    description: Get Ticker Information
  - name: Chains
    description: Get On Chain Data
  - name: Limits
    description: Get Trading Limits
  - name: Status
    description: Get Market and Trading Statuses
paths:
  /v1/assets/all/metadata:
    get:
      tags:
        - Assets
      summary: Get Metadata for All Supported Assets
      description: >
        Returns all metadata for all symbols including identifiers, addresses,
        and classification tags.


        For caching details on this endpoint, please see: [Endpoint
        Caching](https://docs.ondo.finance/api-reference/endpoint-caching).
      operationId: getAllAssetMetadata
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MetadataEntry'
              example:
                - symbol: AAPLon
                  ticker: AAPL
                  coingeckoId: apple-ondo-tokenized-stock
                  coinmarketCapId: '38037'
                  addresses:
                    - networkChainId: bsc-56
                      address: '0x390a684ef9cade28a7ad0dfa61ab1eb3842618c4'
                      decimals: 18
                    - networkChainId: ethereum-1
                      address: '0x14c3abf95cb9c93a8b82c1cdcb76d72cb87b2d4c'
                      decimals: 18
                  tags:
                    assetClass: Equities
                    instrumentType: Stock
                - symbol: ABNBon
                  ticker: ABNB
                  coingeckoId: airbnb-ondo-tokenized-stock
                  coinmarketCapId: '38044'
                  addresses:
                    - networkChainId: bsc-56
                      address: '0xef80743f78d98fc2b47a2253b293152ce8b879ba'
                      decimals: 18
                    - networkChainId: ethereum-1
                      address: '0xb035c3d5083bdc80074f380aebc9fcb68aba0a28'
                      decimals: 18
                  tags:
                    assetClass: Equities
                    instrumentType: Stock
                - ...
        '401':
          description: Missing or invalid API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    message: missing API key
                    code: MISSING_API_KEY
        '500':
          description: >-
            An internal server error occurred. Please see the returned message
            and documentation for details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    message: >-
                      An internal server error occurred. Please see the returned
                      message and documentation for details.
                    code: INTERNAL_ERROR
      security:
        - apiKey: []
components:
  schemas:
    MetadataEntry:
      properties:
        symbol:
          type: string
          example: AAPLon
        ticker:
          type: string
          example: AAPL
        coingeckoId:
          type: string
          nullable: true
          example: apple-ondo-tokenized-stock
        addresses:
          type: array
          description: Contract addresses for various chains.
          items:
            $ref: '#/components/schemas/AssetAddress'
          example:
            - networkChainId: bsc-56
              address: '0x390a684ef9cade28a7ad0dfa61ab1eb3842618c4'
              decimals: 18
            - networkChainId: ethereum-1
              address: '0x14c3abf95cb9c93a8b82c1cdcb76d72cb87b2d4c'
              decimals: 18
        tags:
          type: object
          properties:
            assetClass:
              type: string
              description: High-level category of the asset
              example: equities
            instrumentType:
              type: string
              description: Instrument type within the asset class
              example: stock
            sectorIndustry:
              type: array
              items:
                type: string
              description: Sector and industry classifications for the asset.
              example:
                - Technology
                - Consumer Electronics
            typeFactorRiskProfile:
              type: array
              items:
                type: string
              description: Type, factor, and risk profile classifications.
              example:
                - Growth
                - Large Cap
            regionMarketExposure:
              type: array
              items:
                type: string
              description: Region and market exposure classifications.
              example:
                - US
                - Global
          required:
            - assetClass
            - instrumentType
        coinmarketcapId:
          type: string
          nullable: true
          example: '38037'
      required:
        - symbol
        - ticker
        - tags
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: A human-readable message providing more details about the error.
        documentation:
          type: string
          description: A URL to the relevant documentation for this error.
        code:
          type: string
          description: >-
            A reason code identifying the specific type of error. See the Error
            Codes reference for a full list of possible values.
      required:
        - code
        - message
    AssetAddress:
      type: object
      properties:
        networkChainId:
          $ref: '#/components/schemas/GMChains'
        address:
          type: string
          description: The contract address on the specified chain.
          example: '0x14c3abf95cb9c93a8b82c1cdcb76d72cb87b2d4c'
        decimals:
          type: integer
          format: int64
          description: The number of decimals places for the asset.
          example: 18
      required:
        - networkChainId
        - address
        - decimals
    GMChains:
      type: string
      description: The chain's identifier including the chain name and chain id.
      enum:
        - ethereum-1
        - bsc-56
        - solana-900
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````